Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface JMSFileStoreMBean

public interface JMSFileStoreMBean
extends JMSStoreMBean

A JMS file based backing store.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getDirectory()` Get the directory for this file based store.
`void` | `setDirectory(java.lang.String directory)` Set directory for file based store.

Methods inherited from interface weblogic.management.configuration.JMSStoreMBean
`getJMSServer`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getDirectory

    public java.lang.String getDirectory()

  Get the directory for this file based store.

### setDirectory

    public void setDirectory(java.lang.String directory)
                      throws javax.management.InvalidAttributeValueException

  Set directory for file based store.

  Legal Value: value != void && value.trim().length() != 0
  Legal NULL: false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD